/// <reference types="mapbox-gl" />
import './layer-details.css';
import { BaseLayer, MapDatasource } from '../..';
import { WidgetBase } from '@csnext/cs-client';
export declare class LayerDetails extends WidgetBase {
    allFeatures?: mapboxgl.MapboxGeoJSONFeature[];
    listFilter: string;
    filterItems: string;
    filteredFeatures: mapboxgl.MapboxGeoJSONFeature[];
    get layer(): BaseLayer | undefined;
    get layerColor(): string;
    get manager(): MapDatasource | undefined;
    get title(): string;
    contentLoaded(): void;
    filterChanged(v: string): void;
    fitLayer(): void;
    openFeature(feature: any): void;
    private filterFeature;
    private getAllFeatures;
    private updateFeatures;
}
